package com.cyl.zhanggui.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 *  @version
 *  @author: hxl
 *  @Date: 2024/4/15 14:32
 *  @Description: 后线人员关联协议表
 */
@TableName(value = "sys_user_link_pl_agreement")
@Data
@NoArgsConstructor
public class SysUserLinkPtlAgreement implements Serializable {
    /***
     * 主键自增
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /***
     * 后线用户ID
     */
    @TableField(value = "user_id")
    private  String userId;
    /***
     * 协议ID
     */
    @TableField(value = "ptl_agreement_id")
    private Long ptlAgreementId;
    /***
     * 创建人
     */
    @TableField(value = "create_id")
    private String createId;
    /***
     * 创建人名称
     */
    @TableField(value = "create_name")
    private String createName;
    /***
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @TableField(value = "create_time")
    private Date createTime;
    /***
     * 修改人名称
     */
    @TableField(value = "update_id")
    private String updateId;
    /***
     * 修改人名称
     */
    @TableField(value = "update_name")
    private String updateName;
    /***
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @TableField(value = "update_time")
    private Date updateTime;

    /***
     * 协议类型  0 车险  1 非车
     */
    @TableField(value = "type")
    private String type;

    public SysUserLinkPtlAgreement(String userId, Long ptlAgreementId, String createId, String createName, Date createTime, String updateId, String updateName, Date updateTime) {
        this.userId = userId;
        this.ptlAgreementId = ptlAgreementId;
        this.createId = createId;
        this.createName = createName;
        this.createTime = createTime;
        this.updateId = updateId;
        this.updateName = updateName;
        this.updateTime = updateTime;
    }
}
